
Infrastructure - Task #3090

Task # 3074 (Closed): Phase one implementaion for morpho to connect dataone services

Task # 3075 (Closed): Morpho needs new data file managment system and the local identifier authority. 

New design for morpho profile

2012-07-18 23:51 - Jing Tao

Status: Closed Start date: 2012-07-18

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: None Story Points:  

Product Version: *   

Description

Currently, morpho profile contains the DN (ldap server), scope name, the last used id number. So the profile sticks tightly to the ldap

DN.

However, the new morpho will use CIlogon to get the certificates and no ldap DN will involve. So we should remove the ldap DN from

the profile.

Also we wouldn't keep the CILogon certificate information in the profile. We will remove the last used id number as well. We will keep

the scope name.

So the profiling is the facility for user to manage their local data files -- keeping them into different scope directory.

The data file directory will looks like:

/user-sepcified-directory/profile-name/scope-name/data

/data/sysmeta

/metadata

/metadata/sysmeta

/ore

/ore/sysmeta

History

#1 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#3 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#4 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#5 - 2013-03-02 05:05 - Ben Leinfelder

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
